Module java.management
Package javax.management.monitor

## Class MonitorSettingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.management.JMRuntimeException
        - - javax.management.monitor.MonitorSettingException

All Implemented Interfaces:
  Serializable

    public class MonitorSettingException
    extends JMRuntimeException

Exception thrown by the monitor when a monitor setting becomes invalid while the monitor is running.

As the monitor attributes may change at runtime, a check is performed before each observation. If a monitor attribute has become invalid, a monitor setting exception is thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MonitorSettingException()` Default constructor.
`MonitorSettingException(String message)` Constructor that allows an error message to be specified.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### MonitorSettingException

    public MonitorSettingException()

Default constructor.

#### MonitorSettingException

    public MonitorSettingException(String message)

Constructor that allows an error message to be specified.

Parameters:
  `message` - The specific error message.